[package]
name = "server"
version = "0.1.0"
edition = "2024"
authors = ["Matthias Lodner <matthias@lodner.de>"]

[[bin]]
name = "server"
path = "src/main.rs"

[dependencies]
common = {path = "../common"}

axum = "0.8.8"
tokio = { version = "1.50.0", default-features = false, features = ["full"] }
http = "1.4.0"
tower-http = {version = "0.6.8", features = ["cors"]}
tracing = "=0.1.44"
tracing-subscriber = "0.3.22"

serde = { version = "1.0.228", features = ["derive"] }
serde_json = "1.0.149"

# Logging
env_logger = "0.11.9"

# Database
sqlx = { version = "0.8.6", features = [ "runtime-async-std-native-tls", "postgres", "chrono", "macros" ] }

# Etc.
dotenv = "0.15.0"
chrono = { version = "0.4.44" }
